unit frmconfig;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ButtonPanel, StdCtrls, EditBtn;

type

  { TConfigurationForm }

  TConfigurationForm = class(TForm)
    ButtonPanel1: TButtonPanel;
    CBCDROM: TComboBox;
    CBCache: TCheckBox;
    DECache: TDirectoryEdit;
    EUser: TEdit;
    EURL: TEdit;
    LDECache: TLabel;
    LUser: TLabel;
    LURL: TLabel;
    LCBCDRom: TLabel;
    procedure CBCacheChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    function GetCacheDir: String;
    function GetDevice: String;
    function GetURL: String;
    function GetUseCache: Boolean;
    function GetUserName: String;
    procedure SetCacheDir(const AValue: String);
    procedure SetDevice(const AValue: String);
    procedure SetURL(const AValue: String);
    procedure SetUseCache(const AValue: Boolean);
    procedure SetUserName(const AValue: String);
    { private declarations }
  public
    { public declarations }
    Property CDDevice : String Read GetDevice Write SetDevice;
    Property URL : String Read GetURL Write SetURL;
    Property UserName : String Read GetUserName Write SetUserName;
    Property UseCache : Boolean Read GetUseCache Write SetUseCache;
    Property CacheDir : String Read GetCacheDir Write SetCacheDir;
  end; 

var
  ConfigurationForm: TConfigurationForm;

implementation

uses cdrom;

{ TConfigurationForm }

procedure TConfigurationForm.CBCacheChange(Sender: TObject);
begin
  DECache.Enabled:=CBCache.Checked;
end;

procedure TConfigurationForm.FormCreate(Sender: TObject);

Var
  Drives : Array[1..10] of String;
  I,Count : Integer;

begin
  Count:=GetCDRomDevices(Drives);
  For I:=1 to Count do
    CBCDRom.Items.add(Drives[i]);
end;

function TConfigurationForm.GetCacheDir: String;
begin
  Result:=DECache.Directory;
end;

function TConfigurationForm.GetDevice: String;
begin
  Result:=CBCDROM.Text;
end;

function TConfigurationForm.GetURL: String;
begin
  Result:=EURL.Text;
end;

function TConfigurationForm.GetUseCache: Boolean;
begin
  Result:=CBCache.Checked;
end;

function TConfigurationForm.GetUserName: String;
begin
  Result:=EUser.Text;
end;

procedure TConfigurationForm.SetCacheDir(const AValue: String);
begin
  DECache.Directory:=AValue;
end;

procedure TConfigurationForm.SetDevice(const AValue: String);
begin
  CBCDROM.Text:=AValue;
end;

procedure TConfigurationForm.SetURL(const AValue: String);
begin
  EURL.Text:=AVAlue;
end;

procedure TConfigurationForm.SetUseCache(const AValue: Boolean);
begin
  CBCache.Checked:=AValue;
end;

procedure TConfigurationForm.SetUserName(const AValue: String);
begin
  EUser.Text:=AValue;
end;

initialization
  {$I frmconfig.lrs}

end.

